For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PricingJoin CommunityGet API Key
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
        • POSTCreate
        • POSTCreate With Project Id
        • GETGet Status
  • Additional Resources
    • Try on Postman
LogoLogo
PricingJoin CommunityGet API Key
API ReferenceDubbingJobs

Create

POST
https://api.murf.ai/v1/murfdub/jobs/create
POST
/v1/murfdub/jobs/create
1from murf import MurfDub
2
3client = MurfDub(
4 api_key="YOUR_API_KEY",
5)
6
7client.dubbing.jobs.create(
8 file_name="Your File Name",
9 file=open("file.mp4", "rb"),
10 target_locales=["target_locales"],
11 priority="LOW",
12)
1{
2 "dubbing_type": "AUTOMATED",
3 "file_name": "file_name",
4 "priority": "LOW",
5 "job_id": "job_id",
6 "target_locales": [
7 "target_locales"
8 ],
9 "file_url": "file_url",
10 "webhook_url": "webhook_url",
11 "source_locale": "source_locale",
12 "warning": "warning"
13}
Was this page helpful?
Previous

Create With Project Id

Next
Built with

Headers

api-keystringRequired
Your Dub API key

Request

This endpoint expects a multipart form containing an optional file.
filefileOptional
The file to upload
file_urlstringOptional
source_localestringOptional
Source locale
target_localeslist of stringsRequired
List of target locales
webhook_urlstringOptional
file_namestringOptional
priorityenumOptional

Priority of the job. Allowed values: LOW, NORMAL, HIGH

Allowed values:
webhook_secretstringOptional

Response

Ok
dubbing_typeenum
Dubbing Type
Allowed values:
file_namestring
Your Uploaded File Name
priorityenum

Priority of the job. Allowed values: LOW, NORMAL, HIGH

Allowed values:
job_idstring
Your Job Id
target_localeslist of strings
List of target locales
file_urlstring
webhook_urlstring
source_localestring
Source locale
warningstring

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error